#ifndef CONST_H
#define CONST_H

/*************************************************************
*                                                            *
*       CGI C++ Library v0.29a                               *
*                                                            *
*       (c) 2005-2007 by Ighor Poteryakhin (ighor@ighor.ru)  *
*                                                            *
*       const.h                                              *
*                                                            *
*************************************************************/

namespace consts
{
    const char CGI_LIB_VERSION[]	= "CGI C++ Library v0.29a"; // to print with X-Powered-By: 
    const unsigned session_duration	= 300; // in secs
    const unsigned iconv_max_length	= 65535;

    const std::string base64_chars =
	    "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
	    "abcdefghijklmnopqrstuvwxyz"
	    "0123456789+/";

    const unsigned expire_after		= 60*60*1; // in secs, in this case - one hour

    const char TMPDIR[]                 = "/home/www/tmp/"; // with '/' at the end !

}

#endif
